=== debian/changelog ===
olpc-powerd (23-5) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Generate and cleanup debian/powerd.conf during package build.
  * Do not overwrite hardening flags.  (Closes: #1021457)
  * Fix building with -Werror=implicit-function-declaration.
  * Tune (Pre-)Depends.
  * Add Recommends: dialog.  (Closes: #641204)
  * Work around struct input_event.time kernel api change.  (Closes: #1069435)
  * Add upstream metadata, Homepage and watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 13:23:18 +0200

olpc-powerd (23-4) unstable; urgency=medium

  * QA upload.
  * Install files into /usr/sbin instead of /sbin.
  * Stop depending on bash, which is essential.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 03:39:16 +0100

olpc-powerd (23-3) unstable; urgency=low

  * Orphaning this package. I no longer own any OLPC hardware.
  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Set source package format to 3.0 and add quilt patches.
  * Update debian/copyright for DEP5.
  * Depend on lsb-base.
  * Depend on bash, and patch for #!/bin/bash where needed (closes: #772286).

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 22:48:41 +0000

olpc-powerd (23-2) unstable; urgency=low

  * Add a missing dependency on ethtool (thanks, Sascha Silbe!).

 -- Andres Salomon <dilinger@debian.org>  Fri, 18 Jun 2010 15:44:50 +0000

olpc-powerd (23-1) unstable; urgency=low

  * New upstream release.
  * Fix CONFIGDIR variable in scripts (closes: #585141).

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Jun 2010 20:23:25 +0000

olpc-powerd (22-1) unstable; urgency=low

  * New upstream release.
  * Fixes a bashism in an upstream script (closes: #581131).

 -- Andres Salomon <dilinger@debian.org>  Tue, 01 Jun 2010 21:41:59 +0000

olpc-powerd (19-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 20:04:33 +0000
