=== debian/control ===
Source: olpc-powerd
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://dev.laptop.org/git/users/pgf/powerd/
Vcs-Browser: https://salsa.debian.org/debian/olpc-powerd
Vcs-Git: https://salsa.debian.org/debian/olpc-powerd.git

Package: olpc-powerd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ethtool,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dialog,
 iptables,
Description: OLPC XO power management support daemon
 The powerd daemon can function as an easily customizable replacement for ohmd
 (independent of X, D-Bus, and hald).  This package provides the powerd
 and olpc-switchd daemons, and related utilities.  The olpc-switchd daemon
 simply provides notifications about lid and switch events.  The powerd daemon
 controls display dimming, automatically putting an XO to sleep after a period
 of idleness, etc.
