=== debian/rules ===
#!/usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f version
	$(RM) debian/powerd.conf

execute_before_dh_install: debian/powerd.conf

debian/powerd.conf:
	cp powerd.conf.dist debian/powerd.conf
	# we don't use pwrlog stuff
	sed -i s/^config_PWRLOG_INTERVAL=.*/config_PWRLOG_INTERVAL=\"0\"/g debian/powerd.conf
