=== debian/watch ===
version=4
https://dev.laptop.org/git/users/pgf/powerd/refs/tags \
  (?:.*?/)?powerd-(\d[\d.]*)\.tar\.bz2
